Bug 5754 - Texture allocation broken in tdfx DRI driver
Summary: Texture allocation broken in tdfx DRI driver
Status: RESOLVED FIXED
Alias: None
Product: Mesa
Classification: Unclassified
Component: Drivers/DRI/TDFX (show other bugs)
Version: git
Hardware: x86 (IA32) Linux (All)
: high normal
Assignee: Adam Jackson
QA Contact:
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2006-01-29 08:11 UTC by Richard Drummond
Modified: 2009-08-24 12:23 UTC (History)
0 users

See Also:
i915 platform:
i915 features:


Attachments
Fix for texture allocation (1.47 KB, patch)
2006-01-29 08:12 UTC, Richard Drummond
Details | Splinter Review

Description Richard Drummond 2006-01-29 08:11:30 UTC
It uses the wrong function to allocate texture memory, so that when the texture is freed by 
Mesa, a segfault typically occurs. 
 
Trivial patch against current CVS to fix this attached.
Comment 1 Richard Drummond 2006-01-29 08:12:18 UTC
Created attachment 4500 [details] [review]
Fix for texture allocation
Comment 2 Adam Jackson 2006-04-04 07:28:17 UTC
applied to head, thanks.
Comment 3 Adam Jackson 2009-08-24 12:23:40 UTC
Mass version move, cvs -> git


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.